Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common
Class EjbHelper

    java.lang.Object
      |
      +--examples.e2e.common.EjbHelper

public class EjbHelper
extends java.lang.Object

This class provides static methods for obtaining ``InventoryProvider`` and ``PurchaseManager`` EJB objects.

See Also:
  `InventoryProvider`, `PurchaseManager`

Field Summary
`static java.lang.String` | `INV_EJB_JNDI` This constant is used to generate the JNDI name for locating the ``InventoryProviderHome``.
`static java.lang.String` | `PURCH_EJB_JNDI` This constant is used to generate the JNDI name for locating the `examples.e2e.common.purchase.spi.PurchaseManagerHome`.

Method Summary
`static InventoryProvider` | `getInventoryProvider()` Returns an `examples.e2e.common.inventory.spi.InventoryProvider` EJB object to the caller.
`static PurchaseManager` | `getPurchaseManager()` Returns an `examples.e2e.common.purchase.spi.PurchaseManager` EJB object to the caller.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INV_EJB_JNDI

    public static final java.lang.String INV_EJB_JNDI

  This constant is used to generate the JNDI name for locating the ``InventoryProviderHome``. The full JNDI name is formed by prepending the enterprise application name to this constant. The value of this constant is ".BEA_commerce.InventoryProvider".
  See Also:
    `InventoryProviderHome`

### PURCH_EJB_JNDI

    public static final java.lang.String PURCH_EJB_JNDI

  This constant is used to generate the JNDI name for locating the `examples.e2e.common.purchase.spi.PurchaseManagerHome`. The full JNDI name is formed by prepending the enterprise application name to this constant. The value of this constant is ".BEA_commerce.PurchaseManager".
  See Also:
    `PurchaseManagerHome`

Method Detail

### getInventoryProvider

    public static InventoryProvider getInventoryProvider()
                                                  throws java.rmi.RemoteException,
                                                         javax.ejb.CreateException,
                                                         javax.naming.NamingException

  Returns an `examples.e2e.common.inventory.spi.InventoryProvider` EJB object to the caller.

  See Also:
    `InventoryProvider`

### getPurchaseManager

    public static PurchaseManager getPurchaseManager()
                                              throws java.rmi.RemoteException,
                                                     javax.ejb.CreateException,
                                                     javax.naming.NamingException

  Returns an `examples.e2e.common.purchase.spi.PurchaseManager` EJB object to the caller.

  See Also:
    `PurchaseManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved